Draft Split/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{Docnav/de |Verbinden |Hochstufen |Entwurf Modul |IconL=Draft_Join.svg |IconR=Draft_Upgrade.svg |IconC=Workbench_Dr...")
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/de
|[[Draft_Join|Join]]
|[[Draft_Join/de|Verbinden]]
|[[Draft_Upgrade|Upgrade]]
|[[Draft_Upgrade/de|Hochstufen]]
|[[Draft_Module|Draft_Module]]
|[[Draft_Module/de|Entwurf Modul]]
|IconL=Draft_Join.svg
|IconL=Draft_Join.svg
|IconR=Draft_Upgrade.svg
|IconR=Draft_Upgrade.svg

Revision as of 14:12, 25 July 2021

Entwurf Teilen

Menüeintrag
Entwurf → Teilen
Arbeitsbereich
Entwurf
Standardtastenkürzel
S P
Eingeführt in Version
0.18
Siehe auch
Draft Join

Beschreibung

Das Teilen Werkzeug versucht, einen vorhandenen Draht an einer bestimmten Kante oder einem Punkt zu teilen.

Kurzanleitung

  1. DRücke die Draft Split/de Schaltfläche oder drücke S dann P Tasten.
  2. Klicke auf einen Draht, wo du ihn teilen möchtest

Notes

Das Gegenstück zu diesem Werkzeug ist die Operation Draft Join/de.

Scripting

Skripten

Siehe auch: Draft API/de und FreeCAD Scripting Basics/de.

Das Teilungswerkzeug kann in makros/de und von der Python/de Konsole aus mit folgender Funktion verwendet werden:

split(wire, newPoint, edgeIndex)
  • wire the wire object to be split.
  • newPoint the point where the split should occur.
  • edgeIndex index of the edge where the split should occur (1-based).

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(250, 0, 0)

wire = Draft.make_wire([p1, p2])

Draft.split(wire, p3, 1)
doc.recompute()